Bug 1371549 - rpmbuild: why in the world do i need "Summary" and "%description" for each subpackage
Summary: rpmbuild: why in the world do i need "Summary" and "%description" for each su...
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm
Version: 25
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-30 12:56 UTC by Harald Reindl
Modified: 2017-12-12 10:22 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 10:22:42 UTC


Attachments (Terms of Use)

Description Harald Reindl 2016-08-30 12:56:38 UTC
when you google everywhere is talked about inherit

%package           cli
Summary:           Command-line interface for PHP
Requires:          php-common%{?_isa} = %{version}-%{release}
Provides:          php-cgi = %{version}-%{release}, php-readline
%description       cli

*why* in the world can i not just remove "Summary" and "%description" from all the subpackages?

[builduser@testserver:/rpmbuild/SPECS]$ rpmbuild -bb php.spec
error: Package has no %description: php-cli

[builduser@testserver:/rpmbuild/SPECS]$ rpmbuild -bb php.spec
error: Summary field must be present in package: php-cli

for selfmaintained packages (in my case PHP is one of them just because my php.spec is 15 KB instead 80 KB) where you know anyways what the subpackages are supposed to do (and even in most other cases it's clear by the name) that just blows up the spec-file for single benefit and annoys me many years that i now have finally enough of this misbehavior

Comment 1 Fedora End Of Life 2017-07-25 22:44:50 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-11-16 19:22:33 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:22:42 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.